#!/bin/bash

hostname=gitea-example

set -e
export FORMAT=YAML

vm_info="$(detee-cli vm deploy --public-ip --location Vancouver --hostname ${hostname})"
echo vm_info:
echo $vm_info

vm_uuid=$(echo $vm_info | grep 'uuid:' | awk '{ print $2 }')

vm_ip=$(echo $vm_info | grep 'ip:' | awk '{ print $2 }')
key_path=$(echo $vm_info | grep 'key_path:' | awk '{ print $2 }')
ssh_command="ssh -i $key_path -p 22 root@${vm_ip}"

$ssh_command pacman -Syu --noconfirm
$ssh_command pacman -S --noconfirm gitea
$ssh_command systemctl start gitea

echo "To access gitea, visit http://${vm_ip}:3000/"
echo "To SSH into the VM, run:"
echo "    detee-cli vm ssh ${vm_uuid}"
echo "The VM will be up for 1 hour (using your LPs). Delete it by running:"
echo "    detee-cli vm delete ${vm_uuid}"
